Subject: [Tigers] Steering Rack

From: Joel Martin via Tigers <[email-masked]>
Date: Fri, 16 Jan 2026 16:38:44 +0000 (UTC)

--===============2799798776520518741==
	boundary="----=_Part_651855_445730630.1768581524749"

------=_Part_651855_445730630.1768581524749
Content-Transfer-Encoding: quoted-printable

I have a 1966 MK 1A Tiger.=C2=A0 I feel the steering rack (stock) needs to =
be tightened up, too much play=C2=A0 Relative new tie rod ends and urethane=
 bushings all around.=C2=A0 Can the steering rack internals be rebuilt?=C2=
=A0 Options that will not break the bank?
Thanks
Joel Martin
------=_Part_651855_445730630.1768581524749
Content-Transfer-Encoding: 7bit

<html><head></head><body><div class="yahoo-style-wrap" style="font-family:garamond, new york, times, serif;font-size:16px;"><div dir="ltr" data-setdir="false">I have a 1966 MK 1A Tiger.&nbsp; I feel the steering rack (stock) needs to be tightened up, too much play&nbsp; Relative new tie rod ends and urethane bushings all around.&nbsp; Can the steering rack internals be rebuilt?&nbsp; Options that will not break the bank?</div><div dir="ltr" data-setdir="false"><br></div><div dir="ltr" data-setdir="false">Thanks</div><div dir="ltr" data-setdir="false"><br></div><div dir="ltr" data-setdir="false">Joel Martin</div></div></body></html>
------=_Part_651855_445730630.1768581524749--

--===============2799798776520518741==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]

--===============2799798776520518741==--